// Copyright (c) 2015, Will Squire. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

library functional_behaviour_tree.test.select;

import 'package:test/test.dart';
import 'package:functional_behaviour_tree/functional_behaviour_tree.dart';
import 'nodes/isHttpStatus.dart';

select_test() {
  group('Select', () {

    test('Can return true', () {
      return isHttpStatusCode({'http_status_code' : '404'}).then((bool value) { expect(value, isTrue); });
    });

    test('Can return false', () {
      return isHttpStatusCode({'http_status_code' : '401'}).then((bool value) { expect(value, isFalse); });
    });

  });
}

isHttpStatusCode(Map blackboard) => select(blackboard, [
    isHttpStatusCode400,
    isHttpStatusCode403,
    isHttpStatusCode404
]);